## pytest-mypy-plugins 3.1.2

=== requirements.txt ===
black
isort
types-decorator
types-PyYAML
types-setuptools
-e .

=== debian/changelog ===
pytest-mypy-plugins (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 06:06:20 -0400

pytest-mypy-plugins (3.1.2-1) unstable; urgency=medium

  * Initial upload (Closes: #1076577)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Jul 2024 12:33:36 +0200

=== debian/control ===
Source: pytest-mypy-plugins
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/typeddjango/pytest-mypy-plugins
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mypy,
 pybuild-plugin-pyproject,
 python3-all,
 python3-decorator,
 python3-jinja2,
 python3-jsonschema,
 python3-yaml,
 python3-mypy (>= 1.3),
 python3-pytest (>= 7.0.0),
 python3-regex,
 python3-tomlkit (>= 0.11),
 python3-typeshed,
 tox,
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-mypy-plugins.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-mypy-plugins
Rules-Requires-Root: no

Package: python3-pytest-mypy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Plugin for testing mypy types, stubs, and plugins
 This plugins aims to simplify the process of refactoring and distributing
 types.  In particular, this plugin provides an extendable DSL similar to the
 one used by mypy's own tests.

## pytest-mypy-plugins 3.2.0

=== requirements.txt ===
black
isort
types-decorator
types-PyYAML
types-setuptools
types-regex
mypy==1.13
-e .

=== debian/changelog ===
pytest-mypy-plugins (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100257).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:45:30 +0000

pytest-mypy-plugins (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 17:21:38 -0500

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-mypy (>= 1.3),
  python3-pytest (>= 7.0.0),
  python3-regex,
+ python3-setuptools,
  python3-tomlkit (>= 0.11),
  python3-typeshed,
  tox,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_TEST_TOX=1

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/typeddjango/pytest-mypy-plugins/tags?per_page=100 \
    https://api.github.com/repos/typeddjango/pytest-mypy-plugins/tarball/refs/tags/@ANY_VERSION@
